var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

'use strict';

var request = function (obj) {
  return new Promise(function (resolve, reject) {
    var xhr = new XMLHttpRequest();

    if (obj.headers) {
      Object.keys(obj.headers).forEach(function (key) {
        xhr.setRequestHeader(key, obj.headers[key]);
      });
    }

    xhr.onload = function () {
      if (xhr.status >= 200 && xhr.status < 400) {
        return resolve(xhr.response);
      } else {
        return reject(xhr.statusText);
      }
    };

    xhr.onreadystatechange = function (event) {
      // XMLHttpRequest.DONE === 4
      if (xhr.readyState === XMLHttpRequest.DONE) {
        if (xhr.status >= 200 && xhr.status < 300) {
          return resolve(xhr.response);
        } else {
          return reject(xhr.statusText);
        }
      }
    };

    xhr.onerror = function () {
      return reject(xhr.statusText);
    };

    xhr.open(obj.method.toUpperCase() || "GET", obj.url);
    xhr.send(obj.body);
  });
};

}
/*
     FILE ARCHIVED ON 13:55:20 Mar 23, 2022 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 11:17:25 Oct 11, 2025.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.735
  exclusion.robots: 0.033
  exclusion.robots.policy: 0.021
  esindex: 0.013
  cdx.remote: 87.067
  LoadShardBlock: 166.69 (3)
  PetaboxLoader3.datanode: 86.037 (4)
  PetaboxLoader3.resolve: 297.768 (2)
  load_resource: 270.319
*/